org.apache.ignite.internal.direct.stream

## Interface DirectByteBufferStream

All Known Implementing Classes:
  DirectByteBufferStreamImplV1, DirectByteBufferStreamImplV2

    public interface DirectByteBufferStream

Direct marshalling I/O stream.

### Method Summary

Methods
`boolean` `lastFinished()`
`BitSet` `readBitSet()`
`boolean` `readBoolean()`
`boolean[]` `readBooleanArray()`
`byte` `readByte()`
`byte[]` `readByteArray()`
`char` `readChar()`
`char[]` `readCharArray()`
`<C extends Collection<?>> C` `readCollection(MessageCollectionItemType itemType, MessageReader reader)`
`double` `readDouble()`
`double[]` `readDoubleArray()`
`float` `readFloat()`
`float[]` `readFloatArray()`
`IgniteUuid` `readIgniteUuid()`
`int` `readInt()`
`int[]` `readIntArray()`
`long` `readLong()`
`long[]` `readLongArray()`
`<M extends Map<?,?>> M` `readMap(MessageCollectionItemType keyType, MessageCollectionItemType valType, boolean linked, MessageReader reader)`
`<T extends Message> T` `readMessage(MessageReader reader)`
`<T> T[]` `readObjectArray(MessageCollectionItemType itemType, Class<T> itemCls, MessageReader reader)`
`short` `readShort()`
`short[]` `readShortArray()`
`String` `readString()`
`UUID` `readUuid()`
`int` `remaining()`
`void` `setBuffer(ByteBuffer buf)`
`void` `writeBitSet(BitSet val)`
`void` `writeBoolean(boolean val)`
`void` `writeBooleanArray(boolean[] val)`
`void` `writeByte(byte val)`
`void` `writeByteArray(byte[] val)`
`void` `writeByteArray(byte[] val, long off, int len)`
`void` `writeChar(char val)`
`void` `writeCharArray(char[] val)`
`<T> void` `writeCollection(Collection<T> col, MessageCollectionItemType itemType, MessageWriter writer)`
`void` `writeDouble(double val)`
`void` `writeDoubleArray(double[] val)`
`void` `writeFloat(float val)`
`void` `writeFloatArray(float[] val)`
`void` `writeIgniteUuid(IgniteUuid val)`
`void` `writeInt(int val)`
`void` `writeIntArray(int[] val)`
`void` `writeLong(long val)`
`void` `writeLongArray(long[] val)`
`<K,V> void` `writeMap(Map<K,V> map, MessageCollectionItemType keyType, MessageCollectionItemType valType, MessageWriter writer)`
`void` `writeMessage(Message msg, MessageWriter writer)`
`<T> void` `writeObjectArray(T[] arr, MessageCollectionItemType itemType, MessageWriter writer)`
`void` `writeShort(short val)`
`void` `writeShortArray(short[] val)`
`void` `writeString(String val)`
`void` `writeUuid(UUID val)`

### Method Detail

#### setBuffer

    void setBuffer(ByteBuffer buf)

Parameters:
  `buf` - Buffer.

#### remaining

    int remaining()

Returns:
  Number of remaining bytes.

#### lastFinished

    boolean lastFinished()

Returns:
  Whether last object was fully written or read.

#### writeByte

    void writeByte(byte val)

Parameters:
  `val` - Value.

#### writeShort

    void writeShort(short val)

Parameters:
  `val` - Value.

#### writeInt

    void writeInt(int val)

Parameters:
  `val` - Value.

#### writeLong

    void writeLong(long val)

Parameters:
  `val` - Value.

#### writeFloat

    void writeFloat(float val)

Parameters:
  `val` - Value.

#### writeDouble

    void writeDouble(double val)

Parameters:
  `val` - Value.

#### writeChar

    void writeChar(char val)

Parameters:
  `val` - Value.

#### writeBoolean

    void writeBoolean(boolean val)

Parameters:
  `val` - Value.

#### writeByteArray

    void writeByteArray(byte[] val)

Parameters:
  `val` - Value.

#### writeByteArray

    void writeByteArray(byte[] val,
                      long off,
                      int len)

Parameters:
  `val` - Value.
  `off` - Offset.
  `len` - Length.

#### writeShortArray

    void writeShortArray(short[] val)

Parameters:
  `val` - Value.

#### writeIntArray

    void writeIntArray(int[] val)

Parameters:
  `val` - Value.

#### writeLongArray

    void writeLongArray(long[] val)

Parameters:
  `val` - Value.

#### writeFloatArray

    void writeFloatArray(float[] val)

Parameters:
  `val` - Value.

#### writeDoubleArray

    void writeDoubleArray(double[] val)

Parameters:
  `val` - Value.

#### writeCharArray

    void writeCharArray(char[] val)

Parameters:
  `val` - Value.

#### writeBooleanArray

    void writeBooleanArray(boolean[] val)

Parameters:
  `val` - Value.

#### writeString

    void writeString(String val)

Parameters:
  `val` - Value.

#### writeBitSet

    void writeBitSet(BitSet val)

Parameters:
  `val` - Value.

#### writeUuid

    void writeUuid(UUID val)

Parameters:
  `val` - Value.

#### writeIgniteUuid

    void writeIgniteUuid(IgniteUuid val)

Parameters:
  `val` - Value.

#### writeMessage

    void writeMessage(Message msg,
                    MessageWriter writer)

Parameters:
  `msg` - Message.
  `writer` - Writer.

#### writeObjectArray

    <T> void writeObjectArray(T[] arr,
                            MessageCollectionItemType itemType,
                            MessageWriter writer)

Parameters:
  `arr` - Array.
  `itemType` - Component type.
  `writer` - Writer.

#### writeCollection

    <T> void writeCollection(Collection<T> col,
                           MessageCollectionItemType itemType,
                           MessageWriter writer)

Parameters:
  `col` - Collection.
  `itemType` - Component type.
  `writer` - Writer.

#### writeMap

    <K,V> void writeMap(Map<K,V> map,
                      MessageCollectionItemType keyType,
                      MessageCollectionItemType valType,
                      MessageWriter writer)

Parameters:
  `map` - Map.
  `keyType` - Key type.
  `valType` - Value type.
  `writer` - Writer.

#### readByte

    byte readByte()

Returns:
  Value.

#### readShort

    short readShort()

Returns:
  Value.

#### readInt

    int readInt()

Returns:
  Value.

#### readLong

    long readLong()

Returns:
  Value.

#### readFloat

    float readFloat()

Returns:
  Value.

#### readDouble

    double readDouble()

Returns:
  Value.

#### readChar

    char readChar()

Returns:
  Value.

#### readBoolean

    boolean readBoolean()

Returns:
  Value.

#### readByteArray

    byte[] readByteArray()

Returns:
  Value.

#### readShortArray

    short[] readShortArray()

Returns:
  Value.

#### readIntArray

    int[] readIntArray()

Returns:
  Value.

#### readLongArray

    long[] readLongArray()

Returns:
  Value.

#### readFloatArray

    float[] readFloatArray()

Returns:
  Value.

#### readDoubleArray

    double[] readDoubleArray()

Returns:
  Value.

#### readCharArray

    char[] readCharArray()

Returns:
  Value.

#### readBooleanArray

    boolean[] readBooleanArray()

Returns:
  Value.

#### readString

    String readString()

Returns:
  Value.

#### readBitSet

    BitSet readBitSet()

Returns:
  Value.

#### readUuid

    UUID readUuid()

Returns:
  Value.

#### readIgniteUuid

    IgniteUuid readIgniteUuid()

Returns:
  Value.

#### readMessage

    <T extends Message> T readMessage(MessageReader reader)

Parameters:
  `reader` - Reader.
Returns:
  Message.

#### readObjectArray

    <T> T[] readObjectArray(MessageCollectionItemType itemType,
                          Class<T> itemCls,
                          MessageReader reader)

Parameters:
  `itemType` - Item type.
  `itemCls` - Item class.
  `reader` - Reader.
Returns:
  Array.

#### readCollection

    <C extends Collection<?>> C readCollection(MessageCollectionItemType itemType,
                                             MessageReader reader)

Parameters:
  `itemType` - Item type.
  `reader` - Reader.
Returns:
  Collection.

#### readMap

    <M extends Map<?,?>> M readMap(MessageCollectionItemType keyType,
                                 MessageCollectionItemType valType,
                                 boolean linked,
                                 MessageReader reader)

Parameters:
  `keyType` - Key type.
  `valType` - Value type.
  `linked` - Whether linked map should be created.
  `reader` - Reader.
Returns:
  Map.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016